var should = require('should'),
    validator = require('../data/schemaValidation.js');

describe('Validation Tests:', function () {
    it('should not throw error', function () {

        var provider = {
            name: "Test Service",
            company: "Test",
            id: '5',
            url: "https://test.com",
            logo: "https://test.com"
        }

        should(function () { validator.validateProvider(provider) }).not.throw();

    })
    it('should throw error because missing property company', function () {

        var provider = {
            name: "Test Service",
            id: '5',
            url: "https://test.com",
            logo: "https://test.com"
        }

        should(function () { validator.validateProvider(provider) }).throw('instance.company is required');
    })
    it('should throw error because missing property name', function () {

        var provider = {
            company: "Test Service",
            id: '5',
            url: "https://test.com",
            logo: "https://test.com"
        }

        should(function () { validator.validateProvider(provider) }).throw('instance.name is required');
    })
    it('should throw error because there is an extra property', function () {

        var provider = {
            name: "Test Service",
            company: "Test",
            id: '5',
            url: "https://test.com",
            logo: "https://test.com",
            extra: "error"
        }

        should(function () { validator.validateProvider(provider) }).throw('instance additionalProperty "extra" exists in instance when not allowed');
    })
})
